# [Flutter] oiti_liveness3d

![https://raw.githubusercontent.com/oititec/flutter-liveness3d-bridge/main/Documentation/imgs/OitiHeader.png](https://raw.githubusercontent.com/oititec/flutter-liveness3d-bridge/main/Documentation/imgs/OitiHeader.png)

## 1. Sobre o Repositório

Este repositório é responsável pelo plugin do Liveness 3D da Oiti para flutter, com ele é possível executar o liveness da [Oititec](https://www.oititec.com.br/) disponíveis para aplicativos híbridos em Flutter.

## 2. O que é o Plugin?

Em Flutter, um plugin é um pacote de software que fornece acesso a recursos nativos de dispositivos permitindo que aplicativos Flutter se comuniquem com sistemas operacionais iOS e Android, adicionando funcionalidades extras e melhorando a experiência do usuário. Eles são escritos em Dart e podem incluir código em linguagens nativas como Kotlin e Swift.

## 3. O que é o Liveness3D?

O Liveness 3D é um recurso de reconhecimento facial oferecido pela Oiti. Ele utiliza algoritmos para verificar a segurança da câmera, detectar distorções e alterações na face por meio de uma tecnologia 3D. Ele gera um mapa tridimensional da face, juntamente com um vídeo selfie de dois segundos, para medir a profundidade da face, a textura da pele e o reflexo dos olhos. É uma ferramenta de liveness que ajuda a combater ataques de falsificação biométrica.

## 4. Sumário [Devcenter](https://devcenter.certiface.io/)

- \*[Guia de Instalação Flutter](https://devcenter.certiface.io/docs/guia-de-instalacao-flutter)

\*\*Fornece instruções passo a passo sobre como instalar nosso Plugin e utilizando diferentes produtos móveis, sendo eles: Liveness 3D, Liveness 2D e DocCore.

Com este guia, os desenvolvedores poderão iniciar rapidamente a integração de nossos produtos em seus aplicativos.

- \*[Guia de Uso e Integração Flutter](https://devcenter.certiface.io/docs/guia-de-uso-e-integracao-flutter)

\*\*Esse guia explora as funcionalidades e recursos oferecidos pelo nosso Plugin. Ele oferece exemplos práticos para ajudar os desenvolvedores a utilizar nosso produto de forma eficiente. Encontre as configurações, descrição de parâmetros e chamadas.

- \*[Guia de Tratamento de Retornos Flutter](https://devcenter.certiface.io/docs/guia-de-tratamento-de-retornos-flutter)

\*\*Documentação voltada para os desenvolvedores que desejam entender e trabalhar com as respostas das nossas ferramentas. Ele detalha os diferentes tipos de respostas que nosso produto pode fornecer e explica como interpretar, utilizar e efetuar os tratamentos dos retornos obtidos.

- \*[Guia Customização(Liveness3D)](https://devcenter.certiface.io/docs/customizacao-liveness3d-flutter)

\*\*A customização do Liveness 3D permite personalizar as telas e textos exibidos durante o processo de reconhecimento facial, respectivamente.
